package ru.yandex.webmaster3.core.events2.events.userhost;

import com.fasterxml.jackson.annotation.JsonProperty;
import ru.yandex.webmaster3.core.events2.HostEventData;
import ru.yandex.webmaster3.core.events2.HostEventType;

/**
 * @author avhaliullin
 */
public class UserHostAddedEvent extends HostEventData {
    private final long userId;

    public UserHostAddedEvent(@JsonProperty("userId") long userId) {
        super(HostEventType.USER_HOST_ADDED);
        this.userId = userId;
    }

    public long getUserId() {
        return userId;
    }
}
